Summary:	xbiff application - mailbox flag for X
Summary(pl.UTF-8):	Aplikacja xbiff - flaga skrzynki pocztowej dla X
Name:		xorg-app-xbiff
Version:	1.0.5
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xbiff-%{version}.tar.xz
# Source0-md5:	0964f62fc603caf1bd0d88d648f2be9a
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-data-xbitmaps
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.1.0
BuildRequires:	xorg-proto-xproto-devel >= 7.0.25
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
Requires:	xorg-lib-libXt >= 1.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xbiff application provides graphical notification of new e-mail. It
only handles mail stored in a filesystem accessible file, not via
IMAP, POP or other remote access protocols.

%description -l pl.UTF-8
Aplikacja xbiff zapewnia graficzne powiadomienia o nowych
wiadomościach e-mail. Obsługuje wyłącznie pocztę zapisywaną w pliku
dostępnym poprzez system plików, nie przez IMAP, POP czy inne
protokoły zdalnego dostępu.

%prep
%setup -q -n xbiff-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-mailbox-directory=/var/mail

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/xbiff
%{_mandir}/man1/xbiff.1*
%changelog
* Thu Jan 25 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xbiff.git;a=log;h=master

* Thu Jan 25 2024 Jakub Bogusz <qboosh@pld-linux.org> 88b8153
- updated to 1.0.5

* Tue Jul 16 2019 Jakub Bogusz <qboosh@pld-linux.org> c8be8a5
- updated to 1.0.4

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> 9c7ff62
- fix files
- rel 2

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 18cd5c1
- dropped pre-cvs changelog

* Wed Jan 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 15f34d9
- updated to 1.0.3
- removed obsolete maildir patch; use --with-mailbox-directory

* Wed May 26 2010 Jakub Bogusz <qboosh@pld-linux.org> 5156cbf
- updated to 1.0.2
- removed obsolete xaw patch

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8801d28
- rel 4; fix xaw related build

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b921e9e
- new

* Fri Nov 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 85026a6
- release 3

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 97f3a0c
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 9d58205
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 85767a7
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 19ae7ea
- added maildir patch to use proper mailbox dir (following X11-fhs.patch)
- use individual dir, more verbose files, release 1

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> ed698ac
- use proper mailbox dir (following X11-fhs.patch)

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> c805a37
- 1.0.1 (X11R7.0 release)

* Fri Dec 09 2005 Jakub Bogusz <qboosh@pld-linux.org> 3a34c31
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> fb76aa9
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> ad546a7
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> c40a895
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 5055b7c
- standard permisions to binaries

